Updates a zone with a file
Updates a zone with zone file in BIND format (RFC 1035). All records in the zone are replaced with the ones provided.
Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.
The ID (UUID) of the DNS zone.
;Zone: example.com ;Exported: Wed Nov 13 10:30:14 UTC 2019 $ORIGIN example.com. $TTL 3600 @ 86400 IN SOA ns-de.1and1-dns.de. hostmaster.kundenserver.de. ( 2017012400 ; serial 28800 ; refresh 7200 ; retry 604800 ; expire 600 ) ; minimum autodiscover 7200 IN CNAME adsredir.1and1.info. @ 7200 IN NS ns-de.1and1-dns.org. @ 7200 IN NS ns-de.1and1-dns.com. @ 7200 IN NS ns-de.1and1-dns.biz. @ 7200 IN NS ns-de.1and1-dns.de. www IN A 127.0.0.2 _domainconnect 3600 IN CNAME _domainconnect.1and1.com.Successful operation.
The resource's unique identifier.
42b21ce3-6fc7-44af-b0c9-2aaadbf2b333<RESOURCE-URI>Pagination offset.
0Pagination limit.
1000Bad Request
The request send to the API was malformed.
Unauthorized
The request is missing authorization information or the authorization information provided are expired.
Not Allowed
The user issuing the request does not have the needed permissions.
Conflict Error
The zone file cannot be imported because it contains a duplicate record.
Unprocessable Entity
The request was well-formed but was unable to be followed due to semantic errors.
Internal Server Error
An internal error occurred. We apologize for the inconvenience!
PUT /zones/{zoneId}/zonefile HTTP/1.1
Host: dns.de-fra.ionos.com
Authorization: YOUR_API_KEY
Content-Type: text/plain
Accept: */*
Content-Length: 619
";Zone: example.com
;Exported: Wed Nov 13 10:30:14 UTC 2019
$ORIGIN example.com.
$TTL 3600
@ 86400 IN SOA ns-de.1and1-dns.de. hostmaster.kundenserver.de. (
2017012400 ; serial
28800 ; refresh
7200 ; retry
604800 ; expire
600 ) ; minimum
autodiscover 7200 IN CNAME adsredir.1and1.info.
@ 7200 IN NS ns-de.1and1-dns.org.
@ 7200 IN NS ns-de.1and1-dns.com.
@ 7200 IN NS ns-de.1and1-dns.biz.
@ 7200 IN NS ns-de.1and1-dns.de.
www IN A 127.0.0.2
_domainconnect 3600 IN CNAME _domainconnect.1and1.com.
"{
"id": "42b21ce3-6fc7-44af-b0c9-2aaadbf2b333",
"type": "collection",
"href": "<RESOURCE-URI>",
"items": [
{
"id": "90d81ac0-3a30-44d4-95a5-12959effa6ee",
"type": "record",
"href": "<RESOURCE-URI>",
"metadata": {
"createdDate": "2022-08-21T15:52:53Z",
"createdBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedDate": "2022-08-21T15:52:53Z",
"lastModifiedBy": "ionos:iam:cloud:31960002:users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
"state": "PROVISIONING",
"fqdn": "app.example.com",
"zoneId": "a363f30c-4c0c-4552-9a07-298d87f219bf"
},
"properties": {
"name": "app",
"type": "A",
"content": "1.2.3.4",
"ttl": 3600,
"priority": 3600,
"enabled": true
}
}
],
"offset": 0,
"limit": 1000,
"_links": {
"prev": "http://PREVIOUS-PAGE-URI",
"self": "http://THIS-PAGE-URI",
"next": "http://NEXT-PAGE-URI"
}
}Last updated
Was this helpful?